#!/bin/bash

if [ -n "$INTERVAL_SECONDS" ] && [[ "$INTERVAL_SECONDS" =~ [^0-9] ]]; then
    echo "Invalid INTERVAL_SECONDS: $INTERVAL_SECONDS"
    exit 1
fi

# if INTERVAL_SECONDS is set, the string after the '+' is used, otherwise a blank string
eval exec /usr/bin/upload_nsx_config_to_lastline_cloud.py \
        --config-file \
            "$WRITABLE_BASE_DIR/etc/lastline/logging.ini" \
            "$WRITABLE_BASE_DIR/etc/lastline/papi_client.ini" \
            "$WRITABLE_BASE_DIR/etc/lastline/lastline_license.ini" \
            "$WRITABLE_BASE_DIR/etc/lastline/upload_config.ini" \
        ${INTERVAL_SECONDS+"--interval-seconds $INTERVAL_SECONDS"}
